Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
Body Params application/json
{
"images": [],
"model": "sora-2",
"orientation": "portrait",
"prompt": "make animate",
"size": "small"
}
Request Code Samples
curl --location --request POST '/v1/video/create' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"images": [],
"model": "sora-2",
"orientation": "portrait",
"prompt": "make animate",
"size": "small"
}'
Responses
application/json {
"id": "string",
"object": "string",
"created": 0,
"choices": [
{
"index": 0,
"message": {
"role": "string",
"content": "string"
},
"finish_reason": "string"
}
],
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0
}
}
Modified at 2025-10-08 14:27:08